import '@das-fed/ui/packages/business-components/user-org-dialog/style.css';
import { ref as i, defineComponent as Z, computed as _, createElementBlock as B, openBlock as V, createVNode as c, unref as l, isRef as ke, withCtx as h, withDirectives as ze, toDisplayString as E, h as oe, onMounted as pe, watch as ve, nextTick as fe, createElementVNode as P, createBlock as Q, mergeProps as Te, createCommentVNode as De, createTextVNode as se } from "vue";
import { withInstall as we } from "@das-fed/utils/with-install/index";
import { i18n as T, t as Y, setI18nRule as Oe } from "@das-fed/web/packages/i18n/index";
import { DasTabs as Ne } from "@das-fed/ui/packages/components/tabs/index";
import { DasButton as re } from "@das-fed/ui/packages/components/button/index";
import { DasDialog as Ve } from "@das-fed/ui/packages/components/dialog/index";
import { getProjectInfo as Ie } from "@das-fed/utils/common-info";
import { DasSearch as me } from "@das-fed/ui/packages/components/search/index";
import { DasSpin as ge } from "@das-fed/ui/packages/components/spin/index";
import { DasSplitPanel as he } from "@das-fed/ui/packages/components/split-panel/index";
import { DasTable as be, DasTableColumn as j } from "@das-fed/ui/packages/components/table/index";
import { DasTree as _e } from "@das-fed/ui/packages/components/tree/index";
import { DasSelectList as Pe } from "@das-fed/ui/packages/components/select-list/index";
import { vDasTooltip as Ue } from "@das-fed/ui/packages/components/text-tooltip/index";
import { enterpriseright as $e } from "@das-fed/utils/api-services/modules/enterpriseright";
import { createService as xe } from "@das-fed/utils/create-api-service";
import { DasTooltip as Le } from "@das-fed/ui/packages/components/tooltip/index";
const y = i([]), Ae = { class: "select-list-container" }, Re = { class: "check-text" }, Be = { key: 0 }, Ee = { key: 1 }, Ke = { key: 2 }, qe = { key: 3 }, je = {
  name: "selectList"
}, Fe = /* @__PURE__ */ Z({
  ...je,
  props: {
    isSelectedSensitive: { type: Boolean, default: !0 }
  },
  emits: ["itemRemove", "clearCheck"],
  setup(S, { emit: D }) {
    const u = S, r = _(() => u.isSelectedSensitive), g = D, w = ($) => {
      g("itemRemove", $);
    }, C = ($) => {
      g("clearCheck");
    };
    return ($, O) => (V(), B("div", Ae, [
      c(l(Pe), {
        modelValue: l(y),
        "onUpdate:modelValue": O[0] || (O[0] = (d) => ke(y) ? y.value = d : null),
        width: "100%",
        height: "100%",
        "custom-style": { border: "none" },
        onItemRemove: w,
        onRemoveAll: C
      }, {
        default: h(({ item: d }) => [
          ze((V(), B("div", Re, [
            d.identityType == 2 ? (V(), B(
              "span",
              Be,
              E(d.name),
              1
              /* TEXT */
            )) : d.identityType == 1 && r.value ? (V(), B(
              "span",
              Ee,
              E(d.name) + E(d.sensitivePhone ? `(${d.sensitivePhone})` : ""),
              1
              /* TEXT */
            )) : d.identityType == 1 && !r.value ? (V(), B(
              "span",
              Ke,
              E(d.name) + E(d.phone ? `(${d.phone})` : ""),
              1
              /* TEXT */
            )) : (V(), B(
              "span",
              qe,
              E(d.name),
              1
              /* TEXT */
            ))
          ])), [
            [l(Ue)]
          ])
        ]),
        _: 1
        /* STABLE */
      }, 8, ["modelValue"])
    ]));
  }
}), ee = (S, D) => {
  const u = S.__vccOpts || S;
  for (const [r, g] of D)
    u[r] = g;
  return u;
}, Me = /* @__PURE__ */ ee(Fe, [["__scopeId", "data-v-5b1d2b02"]]), ue = i(null), ye = (S, D, u) => ({
  selectListRef: ue,
  selectListVue: () => oe(Me, {
    isSelectedSensitive: S,
    onItemRemove: D,
    onClearCheck: u,
    ref: ue
  })
}), Ge = "v1", He = `/api/fms/base/interface//${Ge}`, Se = xe(`${He}`), Ce = Se.post("/organization/authtree"), Je = $e.post("/organization/user"), Qe = Se.post("/organization/organizationpage"), We = { class: "select-org-container" }, Xe = { class: "split-left-content" }, Ye = { class: "split-right-box" }, Ze = { class: "split-table" }, et = { class: "table-searc-box" }, tt = { class: "split-table-content" }, at = { class: "split-checkd" }, lt = {
  name: "selectOrg"
}, st = /* @__PURE__ */ Z({
  ...lt,
  props: {
    projectId: { default: "" },
    isSelectedSensitive: { type: Boolean, default: !0 },
    initProps: {}
  },
  setup(S, { expose: D }) {
    const u = S, r = _(() => {
      var t;
      return ((t = u.initProps) == null ? void 0 : t.isCustomApi) || !1;
    }), g = _(() => {
      var t;
      return ((t = u.initProps) == null ? void 0 : t.disabledNodeLabel) || "optional";
    }), w = _(() => {
      var t, o;
      return (o = (t = u.initProps) == null ? void 0 : t.customApiOptions) == null ? void 0 : o.orgTree;
    }), C = _(() => {
      var t, o;
      return (o = (t = u.initProps) == null ? void 0 : t.customApiOptions) == null ? void 0 : o.orgTable;
    }), $ = _(() => u.isSelectedSensitive), O = i(!1), d = i([]), p = i(""), K = i(""), v = i(""), U = i([]), b = i([]), N = i(20), f = i(1), x = i(0);
    pe(() => {
      W(), L();
    });
    const L = () => {
      b.value = y.value.filter((t) => t.identityType == 2);
    }, F = (t) => {
      t && t instanceof Array && (b.value = t.filter((o) => o.identityType == 1));
    }, M = (t) => {
      b.value = b.value.filter((o) => o.id != t.id);
    }, G = () => {
      y.value = [], b.value = [];
    }, { selectListVue: H } = ye($.value, M, G), J = (t) => {
      var e, a, s;
      const o = r.value && ((e = w.value) != null && e.disabledOrgTypes) && ((a = w.value) == null ? void 0 : a.disabledOrgTypes.length) > 0 ? (s = w.value) == null ? void 0 : s.disabledOrgTypes : [1, 2, 3, 4, 5, 6];
      t._disabled = !t[g.value] || o.includes(t.type), !t._disabled && !p.value && (p.value = t.id), t.children && t.children.length && t.children.forEach((n) => {
        J(n);
      });
    }, W = async () => {
      var s, n;
      O.value = !0;
      let t = {};
      if (r.value && w.value) {
        const { params: m = {}, query: R = {} } = w.value;
        t = { ...m, ...R };
      } else
        t = {
          name: "",
          parentId: "",
          implicit: !1
        };
      const o = r.value && ((s = w.value) != null && s.api) ? (n = w.value) == null ? void 0 : n.api : Ce, [e, a] = await o(t).run();
      if (e) {
        O.value = !1;
        return;
      }
      a && a.length && a.forEach((m) => {
        J(m);
      }), d.value = a, I();
    }, k = async () => {
      var s, n;
      if (!p.value) {
        O.value = !1, U.value = [], x.value = 0;
        return;
      }
      O.value = !0;
      let t = {};
      if (r.value && C.value) {
        const { params: m = {}, query: R = {}, treeKey: q = "", searchKey: z = "" } = C.value;
        t = { ...m, ...R }, q ? t[q] = p.value : t.parentId = p.value, z ? t[z] = v.value : t.search = v.value;
      } else
        t = {
          parentId: p.value,
          // 树id
          search: v.value
          // 名称
        };
      t.pageIndex = f.value, t.pageSize = N.value;
      const o = r.value && ((s = C.value) != null && s.api) ? (n = C.value) == null ? void 0 : n.api : Qe, [e, a] = await o(t).run();
      if (e) {
        O.value = !1;
        return;
      }
      U.value = a.data.map((m) => (m.identityType = 2, m)), x.value = Number(a.totalCount), O.value = !1;
    }, I = () => {
      v.value = "", K.value = "", U.value = [], N.value = 20, f.value = 1, A();
    }, A = () => {
      f.value = 1, k();
    }, te = (t) => {
      f.value = 1, N.value = t, k();
    }, X = (t) => {
      f.value = t, k();
    }, ae = (t) => {
      let o = [], e = [];
      t.forEach((a) => {
        o.push(a.id);
      }), U.value.forEach((a) => {
        o.includes(a.id) || e.push(a.id);
      }), y.value = y.value.filter((a) => !e.includes(a.id)), t.forEach((a) => {
        y.value.some((s) => s.id === a.id) || y.value.push(a);
      });
    };
    return ve(
      () => p,
      () => {
        fe(() => {
          k();
        });
      },
      {
        immediate: !0,
        deep: !0
      }
    ), D({
      setSelectData: F
    }), (t, o) => (V(), B("div", We, [
      c(l(ge), { spinning: O.value }, {
        default: h(() => [
          c(l(he), {
            defaultSplit: { first: 223 },
            canFold: !0,
            canDrag: !0,
            boxStyle: {
              border: "none"
            }
          }, {
            firstSlot: h(() => [
              P("div", Xe, [
                c(l(_e), {
                  ref: "organizationTree",
                  data: d.value,
                  isFilter: "",
                  "node-key": "id",
                  props: { disabled: "_disabled" },
                  inputOptions: { placeholder: l(T)("搜索组织名称").value },
                  modelValue: p.value,
                  "onUpdate:modelValue": o[0] || (o[0] = (e) => p.value = e),
                  "filter-value": K.value,
                  "onUpdate:filterValue": o[1] || (o[1] = (e) => K.value = e),
                  "is-ellipsis": ""
                }, null, 8, ["data", "inputOptions", "modelValue", "filter-value"])
              ])
            ]),
            secondSlot: h(() => [
              P("div", Ye, [
                P("div", Ze, [
                  P("div", et, [
                    c(l(me), {
                      modelValue: v.value,
                      "onUpdate:modelValue": o[2] || (o[2] = (e) => v.value = e),
                      searchType: "basis",
                      isIconLeft: "",
                      size: "small",
                      placeholder: l(T)("搜索组织名称/组织编码").value,
                      onChange: A
                    }, null, 8, ["modelValue", "placeholder"])
                  ]),
                  P("div", tt, [
                    c(l(be), {
                      height: "100%",
                      data: U.value,
                      total: x.value,
                      selection: "",
                      "pagination-props": { layout: "prev,next,sizes", small: !0 },
                      "current-page": f.value,
                      "onUpdate:currentPage": o[3] || (o[3] = (e) => f.value = e),
                      "selection-rows": b.value,
                      "onUpdate:selectionRows": o[4] || (o[4] = (e) => b.value = e),
                      "page-size": N.value,
                      "onUpdate:pageSize": o[5] || (o[5] = (e) => N.value = e),
                      onSizeChange: te,
                      onSelectionChange: ae,
                      onCurrentPageChange: X
                    }, {
                      default: h(() => [
                        c(l(j), {
                          label: l(T)("组织名称").value,
                          prop: "name"
                        }, null, 8, ["label"]),
                        c(l(j), {
                          label: l(T)("组织编码").value,
                          prop: "code"
                        }, null, 8, ["label"]),
                        c(l(j), {
                          label: l(T)("组织路径").value,
                          prop: "pathName"
                        }, null, 8, ["label"])
                      ]),
                      _: 1
                      /* STABLE */
                    }, 8, ["data", "total", "current-page", "selection-rows", "page-size"])
                  ])
                ]),
                P("div", at, [
                  c(l(H))
                ])
              ])
            ]),
            _: 1
            /* STABLE */
          })
        ]),
        _: 1
        /* STABLE */
      }, 8, ["spinning"])
    ]));
  }
}), ot = /* @__PURE__ */ ee(st, [["__scopeId", "data-v-2677514c"]]), ce = i(null), nt = (S, D, u) => ({
  selectOrgRef: ce,
  selectOrgVue: () => oe(ot, {
    projectId: S,
    isSelectedSensitive: D,
    ref: ce,
    initProps: u
  })
}), it = { class: "select-user-container" }, rt = { class: "split-left-content" }, ut = { class: "split-right-box" }, ct = { class: "split-table" }, dt = { class: "table-searc-box" }, pt = { class: "split-checkd" }, vt = {
  name: "selectUser"
}, ft = /* @__PURE__ */ Z({
  ...vt,
  props: {
    projectId: { default: "" },
    isTableSensitive: { type: Boolean, default: !0 },
    isSelectedSensitive: { type: Boolean, default: !0 },
    initProps: {}
  },
  setup(S, { expose: D }) {
    const u = S, r = i(), g = _(() => {
      var e;
      return ((e = u.initProps) == null ? void 0 : e.isCustomApi) || !1;
    }), w = _(() => {
      var e;
      return ((e = u.initProps) == null ? void 0 : e.disabledNodeLabel) || "optional";
    }), C = _(() => {
      var e, a;
      return (a = (e = u.initProps) == null ? void 0 : e.customApiOptions) == null ? void 0 : a.orgTree;
    }), $ = _(() => {
      var e, a;
      return (a = (e = u.initProps) == null ? void 0 : e.customApiOptions) == null ? void 0 : a.userTable;
    }), O = _(() => u.isTableSensitive), d = _(() => u.isSelectedSensitive), p = i(!1), K = i([]), v = i(""), U = i(""), b = i(""), N = i([]), f = i([]), x = i(20), L = i(1), F = i(0);
    pe(() => {
      I(), M();
    });
    const M = () => {
      f.value = y.value.filter((e) => e.identityType == 1);
    }, G = (e) => {
      e && e instanceof Array && (f.value = e.filter((a) => a.identityType == 1));
    }, H = (e) => {
      f.value = f.value.filter((a) => a.id != e.id);
    }, J = () => {
      y.value = [], f.value = [];
    }, { selectListVue: W } = ye(d.value, H, J), k = (e) => {
      var s, n, m;
      const a = g.value && ((s = C.value) != null && s.disabledOrgTypes) && ((n = C.value) == null ? void 0 : n.disabledOrgTypes.length) > 0 ? (m = C.value) == null ? void 0 : m.disabledOrgTypes : [1, 2, 3, 4, 5, 6];
      e._disabled = !e[w.value] || a.includes(e.type), !e._disabled && !v.value && (v.value = e.id), e.children && e.children.length && e.children.forEach((R) => {
        k(R);
      });
    }, I = async () => {
      var m, R;
      p.value = !0;
      let e = {};
      if (g.value && C.value) {
        const { params: q = {}, query: z = {} } = C.value;
        e = { ...q, ...z };
      } else
        e = {
          name: "",
          parentId: "",
          implicit: !1
        };
      const a = g.value && ((m = C.value) != null && m.api) ? (R = C.value) == null ? void 0 : R.api : Ce, [s, n] = await a(e).run();
      if (s) {
        p.value = !1;
        return;
      }
      n && n.length && n.forEach((q) => {
        k(q);
      }), K.value = n, te();
    }, A = async () => {
      var m, R, q;
      if (!v.value) {
        p.value = !1, N.value = [], F.value = 0;
        return;
      }
      p.value = !0;
      let e = {};
      if (g.value && $.value) {
        const { params: z = {}, query: le = {}, treeKey: ne = "", searchKey: ie = "" } = $.value;
        e = { ...z, ...le }, ne ? e[ne] = v.value : e.id = v.value, ie ? e[ie] = b.value : e.filterValue = b.value;
      } else
        e = {
          id: v.value,
          //组织id
          filterValue: b.value
          //账号或姓名
        };
      e.pageIndex = L.value, e.pageSize = x.value, e.statusList = [1, 2];
      const a = g.value && ((m = $.value) != null && m.api) ? (R = $.value) == null ? void 0 : R.api : Je, [s, n] = await a(e).run();
      if (s) {
        p.value = !1;
        return;
      }
      p.value = !1, N.value = (q = n == null ? void 0 : n.data) == null ? void 0 : q.map((z) => {
        z.identityType = 1;
        let le = z.status == 1 ? Y("das-user-org-dialog-user-normal") : z.status == 2 ? Y("das-user-org-dialog-user-locked") : z.status == 3 ? Y("das-user-org-dialog-user-disable") : "";
        return z.statusName = (z == null ? void 0 : z.statusName) || le, z;
      }), F.value = Number(n.totalCount);
    }, te = () => {
      b.value = "", U.value = "", N.value = [], x.value = 20, L.value = 1, X();
    }, X = () => {
      L.value = 1, A();
    }, ae = (e) => {
      L.value = 1, x.value = e, A();
    }, t = (e) => {
      L.value = e, A();
    }, o = (e) => {
      let a = [], s = [];
      e.forEach((n) => {
        a.push(n.id);
      }), N.value.forEach((n) => {
        a.includes(n.id) || s.push(n.id);
      }), y.value = y.value.filter((n) => !s.includes(n.id)), e.forEach((n) => {
        y.value.some((m) => m.id === n.id) || y.value.push(n);
      });
    };
    return ve(
      () => v,
      () => {
        fe(() => {
          A();
        });
      },
      {
        immediate: !0,
        deep: !0
      }
    ), D({
      setSelectData: G
    }), (e, a) => (V(), B("div", it, [
      c(l(ge), { spinning: p.value }, {
        default: h(() => [
          c(l(he), {
            defaultSplit: { first: 223 },
            canFold: !0,
            canDrag: !0,
            boxStyle: {
              border: "none"
            }
          }, {
            firstSlot: h(() => [
              P("div", rt, [
                c(l(_e), {
                  ref: "organizationTree",
                  data: K.value,
                  isFilter: "",
                  "node-key": "id",
                  props: { disabled: "_disabled" },
                  inputOptions: { placeholder: l(T)("搜索组织名称").value },
                  modelValue: v.value,
                  "onUpdate:modelValue": a[0] || (a[0] = (s) => v.value = s),
                  "filter-value": U.value,
                  "onUpdate:filterValue": a[1] || (a[1] = (s) => U.value = s),
                  "is-ellipsis": ""
                }, null, 8, ["data", "inputOptions", "modelValue", "filter-value"])
              ])
            ]),
            secondSlot: h(() => [
              P("div", ut, [
                P("div", ct, [
                  P("div", dt, [
                    c(l(me), {
                      modelValue: b.value,
                      "onUpdate:modelValue": a[2] || (a[2] = (s) => b.value = s),
                      searchType: "basis",
                      isIconLeft: "",
                      size: "small",
                      placeholder: l(T)("搜索姓名/账号").value,
                      onChange: X
                    }, null, 8, ["modelValue", "placeholder"])
                  ]),
                  P(
                    "div",
                    {
                      class: "split-table-content",
                      ref_key: "splitTableRef",
                      ref: r
                    },
                    [
                      c(l(be), {
                        height: "100%",
                        ref: "treeTableRef",
                        data: N.value,
                        total: F.value,
                        selection: "",
                        "pagination-props": { layout: "prev,next,sizes", small: !0 },
                        "current-page": L.value,
                        "onUpdate:currentPage": a[3] || (a[3] = (s) => L.value = s),
                        "selection-rows": f.value,
                        "onUpdate:selectionRows": a[4] || (a[4] = (s) => f.value = s),
                        "page-size": x.value,
                        "onUpdate:pageSize": a[5] || (a[5] = (s) => x.value = s),
                        onSizeChange: ae,
                        onSelectionChange: o,
                        onCurrentPageChange: t
                      }, {
                        default: h(() => [
                          c(l(j), {
                            label: l(T)("姓名").value,
                            prop: "name"
                          }, null, 8, ["label"]),
                          c(l(j), {
                            label: l(T)("账号").value,
                            prop: "userName"
                          }, null, 8, ["label"]),
                          O.value ? (V(), Q(l(j), {
                            key: 0,
                            label: l(T)("手机号").value,
                            prop: "sensitivePhone"
                          }, {
                            default: h(({ row: s }) => [
                              c(l(Le), {
                                placement: "top",
                                content: s.phone,
                                "append-to": r.value
                              }, {
                                default: h(() => [
                                  P(
                                    "span",
                                    null,
                                    E(s.sensitivePhone),
                                    1
                                    /* TEXT */
                                  )
                                ]),
                                _: 2
                                /* DYNAMIC */
                              }, 1032, ["content", "append-to"])
                            ]),
                            _: 1
                            /* STABLE */
                          }, 8, ["label"])) : (V(), Q(l(j), {
                            key: 1,
                            label: l(T)("手机号").value,
                            prop: "phone"
                          }, null, 8, ["label"])),
                          c(l(j), {
                            label: l(T)("状态").value,
                            prop: "statusName"
                          }, null, 8, ["label"])
                        ]),
                        _: 1
                        /* STABLE */
                      }, 8, ["data", "total", "current-page", "selection-rows", "page-size"])
                    ],
                    512
                    /* NEED_PATCH */
                  )
                ]),
                P("div", pt, [
                  c(l(W))
                ])
              ])
            ]),
            _: 1
            /* STABLE */
          })
        ]),
        _: 1
        /* STABLE */
      }, 8, ["spinning"])
    ]));
  }
}), mt = /* @__PURE__ */ ee(ft, [["__scopeId", "data-v-7e5b1660"]]), de = i(null), gt = (S, D, u, r) => ({
  selectUserRef: de,
  selectUserVue: () => oe(mt, {
    projectId: S,
    isTableSensitive: D,
    isSelectedSensitive: u,
    ref: de,
    initProps: r
  })
}), ht = { class: "select-org-user-dialog-box" }, bt = {
  key: 0,
  class: "select-org-user-dialog-content"
}, _t = { class: "foot-btn-box" }, yt = {
  name: "selectOrganizationAndUser"
}, St = /* @__PURE__ */ Z({
  ...yt,
  props: {
    header: { default: "" },
    selectData: { default: [] },
    isTableSensitive: { type: Boolean, default: !0 },
    isSelectedSensitive: { type: Boolean, default: !0 },
    disabledNodeLabel: {},
    isCustomApi: { type: Boolean, default: !1 },
    customApiOptions: {},
    singleTabKey: { default: "" }
  },
  emits: ["update:modelValue", "selectConfirm", "selectCancel"],
  setup(S, { expose: D, emit: u }) {
    const r = S, g = u, w = i(!1), C = _(() => r.header || Y("添加组织/用户")), $ = _(() => r.isTableSensitive), O = _(() => r.isSelectedSensitive), d = _(() => r.singleTabKey), p = _({
      get: () => r.modelValue,
      set: (k) => g("update:modelValue", k)
    }), K = Ie().id, { selectOrgVue: v, selectOrgRef: U } = nt(K, O.value, r), { selectUserVue: b, selectUserRef: N } = gt(
      K,
      $.value,
      O.value,
      r
    ), f = i(1), x = [
      {
        key: 1,
        tab: T("组织").value,
        contentSlot: "contentSlot1"
      },
      {
        key: 2,
        tab: T("用户").value,
        contentSlot: "contentSlot2"
      }
    ], L = () => {
      g("selectCancel");
    }, F = async () => {
      g("selectConfirm", y.value);
    }, M = (k) => {
    }, G = () => {
      f.value = 1, w.value = !1, g("selectCancel");
    }, H = () => {
      y.value = r.selectData, w.value = !0;
    };
    return D({
      setUserSelectData: (k) => {
        var I;
        (I = N == null ? void 0 : N.value) == null || I.setSelectData(k);
      },
      setOrgSelectData: (k) => {
        var I;
        (I = U == null ? void 0 : U.value) == null || I.setSelectData(k);
      }
    }), (k, I) => (V(), B("div", ht, [
      c(l(Ve), Te({
        modelValue: p.value,
        "onUpdate:modelValue": I[1] || (I[1] = (A) => p.value = A)
      }, k.$attrs, {
        customClass: "select-org-user-dialog",
        type: "basic",
        size: "small",
        width: 961,
        height: 580,
        bodyStyle: {
          padding: "0"
        },
        onClose: G,
        onOpen: H
      }), {
        header: h(() => [
          se(
            E(C.value),
            1
            /* TEXT */
          )
        ]),
        footer: h(() => [
          P("div", _t, [
            c(l(re), {
              size: "middle",
              onClick: L
            }, {
              default: h(() => [
                se(
                  E(l(T)("取消").value),
                  1
                  /* TEXT */
                )
              ]),
              _: 1
              /* STABLE */
            }),
            c(l(re), {
              btnType: "primary",
              size: "middle",
              onClick: F
            }, {
              default: h(() => [
                se(
                  E(l(T)("确定").value),
                  1
                  /* TEXT */
                )
              ]),
              _: 1
              /* STABLE */
            })
          ])
        ]),
        default: h(() => [
          w.value ? (V(), B("div", bt, [
            d.value == 1 ? (V(), Q(l(v), { key: 0 })) : d.value == 2 ? (V(), Q(l(b), { key: 1 })) : (V(), Q(l(Ne), {
              key: 2,
              activeKey: f.value,
              "onUpdate:activeKey": I[0] || (I[0] = (A) => f.value = A),
              isStrict: "",
              hideAdd: "",
              options: x,
              onChange: M
            }, {
              contentSlot1: h(() => [
                c(l(v))
              ]),
              contentSlot2: h(() => [
                c(l(b))
              ]),
              _: 1
              /* STABLE */
            }, 8, ["activeKey"]))
          ])) : De("v-if", !0)
        ]),
        _: 1
        /* STABLE */
      }, 16, ["modelValue"])
    ]));
  }
}), Ct = /* @__PURE__ */ ee(St, [["__scopeId", "data-v-139fae42"]]), kt = {
  搜索姓名: { "zh-CN": "搜索姓名", en: "Search name", _appCode: "framework" },
  账号: { "zh-CN": "账号", en: "Account", _appCode: "framework" },
  姓名: { "zh-CN": "姓名", en: "Name", _appCode: "framework" },
  手机号: { "zh-CN": "手机号", en: "Phone Number", _appCode: "framework" },
  状态: { "zh-CN": "状态", en: "Status", _appCode: "framework" },
  搜索组织名称: { "zh-CN": "搜索组织名称", en: "Search organization name", _appCode: "framework" },
  组织编码: { "zh-CN": "组织编码", en: "Organization Code", _appCode: "framework" },
  组织名称: { "zh-CN": "组织名称", en: "Organization Name", _appCode: "framework" },
  组织路径: { "zh-CN": "组织路径", en: "Organization Path", _appCode: "framework" },
  取消: { "zh-CN": "取消", en: "Cancel", _appCode: "framework" },
  确定: { "zh-CN": "确定", en: "OK", _appCode: "framework" },
  组织: { "zh-CN": "组织", en: "Organization", _appCode: "framework" },
  "添加组织/用户": { "zh-CN": "添加组织/用户", en: "Add organization/user", _appCode: "framework" },
  "搜索组织名称/组织编码": {
    "zh-CN": "搜索组织名称/组织编码",
    en: "Search organization name/code",
    _appCode: "framework"
  },
  "搜索姓名/账号": { "zh-CN": "搜索姓名/账号", en: "Search name/account", _appCode: "framework" },
  "das-user-org-dialog-user-normal": { "zh-CN": "正常", en: "Normal", _appCode: "framework" },
  "das-user-org-dialog-user-locked": { "zh-CN": "锁定", en: "Locked", _appCode: "framework" },
  "das-user-org-dialog-user-disable": { "zh-CN": "禁用", en: "Disabled", _appCode: "framework" }
};
Oe(kt);
const Kt = () => i(null), qt = we(Ct);
export {
  qt as DasUserOrgDialog,
  Kt as DasUserOrgDialogRef
};
